<?php

namespace common\components\giro;

/**
 *
 * @property string $recordTipus
 * @property string $teljesitettTetelekSzama
 * @property string $teljesitettTetelekOsszerteke
 * @property string $visszautasitottTetelekSzama
 * @property string $visszautasitottTetelekSzama
 * @property string $megNemValaszoltTetelekSzama
 * @property string $megNemValaszoltTetelekOsszerteke
 *
 */
class GiroDETSTALab extends GiroBase {
	 
	public $recordTipus = "03";
	public $teljesitettTetelekSzama = "0";
	public $teljesitettTetelekOsszerteke = "0";
	public $visszautasitottTetelekSzama = "0";
	public $visszautasitottTetelekOsszerteke = "0";
	public $megNemValaszoltTetelekSzama = "0";
	public $megNemValaszoltTetelekOsszerteke = "0";
	
	public function __construct() {
	}
	
	public function toString() {
		return $this->recordTipus   
		. $this->szamKitolt ( $this->teljesitettTetelekSzama, 6 ) 
		. $this->szamKitolt ( $this->teljesitettTetelekOsszerteke, 16 ) 
		. $this->szamKitolt ( $this->visszautasitottTetelekSzama, 6 ) 
		. $this->szamKitolt ( $this->visszautasitottTetelekOsszerteke, 16 ) 
		. $this->szamKitolt ( $this->megNemValaszoltTetelekSzama, 6 ) 
		. $this->szamKitolt ( $this->megNemValaszoltTetelekOsszerteke, 16 ) 
		. $this->rekordVege();
		;
	}
	public static function parse($row) {
		$lab = new GiroDETSTALab ();
		$lab->recordTipus =  substr($row,0,2 );
		$lab->teljesitettTetelekSzama =   GiroBase::szamOlvas($row,2,6 );
		$lab->teljesitettTetelekOsszerteke =   GiroBase::szamOlvas($row,8,16 );
		$lab->visszautasitottTetelekSzama =   GiroBase::szamOlvas($row,24,6 );
		$lab->visszautasitottTetelekOsszerteke =   GiroBase::szamOlvas($row,30,16 );
		$lab->megNemValaszoltTetelekSzama =   GiroBase::szamOlvas($row,46,6 );
		$lab->megNemValaszoltTetelekOsszerteke =   GiroBase::szamOlvas($row,52, 16 );
		return $lab;
	}
}